Import reset status database action requests
Reset database import status requests
| Method |
Path |
Description |
| PUT |
/v1/bdbs/{uid}/actions/import_reset_status |
Reset database import status |
Reset database import status
PUT /v1/bdbs/{int: uid}/actions/import_reset_status
Reset the database’s import_status to idle if a backup is not in progress and clears the value of the import_failure_reason field.
Permissions
Request
Example HTTP request
PUT /v1/bdbs/1/actions/import_reset_status
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
URL parameters
| Field |
Type |
Description |
| uid |
integer |
The unique ID of the database |
Response
Returns a status code.
Status codes
| Code |
Description |
| 200 OK |
The request is accepted and is being processed. |
| 404 Not Found |
Attempting to perform an action on a nonexistent database. |
| 406 Not Acceptable |
Not all the modules loaded to the database support 'backup_restore' capability |
| 409 Conflict |
Database is currently busy with another action. In this context, this is a temporary condition and the request should be reattempted later. |